<template>
  <v-container>
    <v-row wrap align-start>
      <v-col
        class="border-round"
        v-for="item in items.filter(arr =>
          filterType === 'all' ? true : arr.type === filterType,
        )"
        :key="'item-' + item.id"
        cols="4"
      >
        <v-card
          :loading="loading"
          class="mx-auto  "
          color="#fff"
          min-height="360"
          max-height="360"
          min-width="260"
          max-width="260"
        >
          <template slot="progress">
            <v-progress-linear
              color="deep-purple"
              height="10"
              indeterminate
            ></v-progress-linear>
          </template>

          <v-img height="200" :src="item.src"></v-img>

          <v-card-title class="text-capitalize pb-0">{{
            item.name
          }}</v-card-title>

          <v-card-text class="text-left">
            <p class="grey--text mb-0 pb-0">
              {{ formatCurr(item.price) }}
              <br />
              <span class="black--text text-capitalize">{{ item.desc }}</span>
            </p>
          </v-card-text>
          <v-card-actions class="py-0">
            <v-btn
              depressed
              block
              rounded
              @click="add(item)"
              class="text-none font-weight-bold "
              color="primary lighten-1"
              >Add to cart</v-btn
            >
          </v-card-actions>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: 'ProductList',
  data: () => ({
    loading: false,
    items: [
      {
        id: 1,
        name: 'Americano',
        type: 'kopi',
        price: 18000,
        desc: 'Sepahit Kehidupan',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 2,
        name: 'Affogato',
        type: 'kopi',
        price: 25000,
        desc: 'Segumpal kebahagiaan',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 3,
        name: 'Tubruk',
        type: 'kopi',
        price: 12000,
        desc: 'Tradisional',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 4,
        name: 'Chamomile',
        type: 'teh',
        price: 15000,
        desc: 'Iced',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 5,
        name: 'Chamomile',
        type: 'teh',
        price: 12000,
        desc: 'Hot',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 6,
        name: 'Poci',
        type: 'teh',
        price: 25000,
        desc: 'Untuk 4-5 orang',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 7,
        name: 'Jasmine',
        type: 'teh',
        price: 15000,
        desc: 'Iced',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 8,
        name: 'Jus Buah Naga',
        type: 'juice',
        price: 15000,
        desc: 'Iced',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 9,
        name: 'French Fries',
        type: 'snack',
        price: 15000,
        desc: 'Iced',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
      {
        id: 10,
        name: 'Pastry',
        type: 'snack',
        price: 15000,
        desc: 'Iced',
        src: 'https://cdn.vuetifyjs.com/images/cards/cooking.png',
      },
    ],
  }),
  computed: {
    filterType() {
      return this.$store.state.filterUsed;
    },
  },
  methods: {
    formatCurr(num) {
      return Intl.NumberFormat('id-ID', {
        style: 'currency',
        currency: 'IDR',
      }).format(num);
    },
    add(item) {
      this.$store.commit('addCart', item);
    },
  },
};
</script>

<style>
.border-round/deep/ .v-sheet.v-card {
  border-radius: 0.5em;
}
</style>
